dofile("scripts/entities/entityinclude.lua")

running = false
t = 12

function init(me)
	--node_setCursorActivation(me, true)
	loadSound("kathunk")
end
	
function activate(me)
	if running then return end
	
	playSfx("kathunk")
	running = true
	lvl = node_y(me)
	if (getWaterLevel() ~= lvl) then
		setFlag(FLAG_SUNTEMPLE_WATERLEVEL, 1)
		setWaterLevel(lvl, t)
	else
		node = getNode("SUNTEMPLE_GEAR3")
		setWaterLevel(node_y(node), t)
		setFlag(FLAG_SUNTEMPLE_WATERLEVEL, 2)
	end
	running = false
end

function update(me, dt)
end
